Skip to main content
PUT
Shell

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Body

application/x-www-form-urlencoded
assets
string[]
required

Comma separated list of assets, or wildcard (*) for all supported assets.

Unique name of the asset.

accounts
string[]
required

Account ids. For ETH_CL, this can either be a validator public key or a validator index.

Account id. For ETH_CL, this can either be a validator public key or a validator index.

at_time
string<date-time>

Indicates the point in time for which the set of account balances will be returned.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
UTC timezone by default. Z suffix is optional.
Mutually exclusive with at_height and at_slot.
Specifying either at_time or at_height / at_slot parameter is mandatory.

at_slot
integer<int64>

Indicates the slot for which the set of account balances will be returned.
Mutually exclusive with at_height and at_time.
Specifying either at_slot or at_height / at_time parameter is mandatory.
Not compatible with requests containing more than one asset.

at_height
integer<int64>

Indicates the block height for which the set of account balances will be returned.
Mutually exclusive with at_slot and at_time.
Specifying either at_height or at_slot / at_time parameter is mandatory.
Not compatible with requests containing more than one asset.

Response

Details of just created job.

job_id
string
required

Job ID.

job_url
string
required

Job URL.